package edu.travel.commodity.remote;

import edu.travel.commodity.dto.BaseCountryServeDTO;
import edu.travel.commodity.vo.BaseCountryServeVo;
import edu.travel.resp.BaseResponse;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.validation.Errors;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

@FeignClient(path = "/base_country_serve",name = "commodity")
public interface BaseCountryServeRemoteController {
    @PostMapping("/updateById")
    public BaseResponse<BaseCountryServeVo> updateTargetById(@RequestBody BaseCountryServeDTO entity);
}
